## libftdi 0.16

=== CMakeLists.txt ===
# Project
project(libftdi)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 16)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")

# CMake
if("${CMAKE_BUILD_TYPE}" STREQUAL "")
   set(CMAKE_BUILD_TYPE     Debug)
endif("${CMAKE_BUILD_TYPE}" STREQUAL "")
set(CMAKE_COLOR_MAKEFILE ON)
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

# Debug build
message("-- Build type: ${CMAKE_BUILD_TYPE}")
if(${CMAKE_BUILD_TYPE} STREQUAL Debug)
   add_definitions(-DDEBUG)
endif(${CMAKE_BUILD_TYPE} STREQUAL Debug)

FIND_PACKAGE(USB REQUIRED)
INCLUDE_DIRECTORIES(${LIBUSB_INCLUDE_DIR})

# Set components
set(CPACK_COMPONENTS_ALL sharedlibs staticlibs headers)
set(CPACK_COMPONENT_SHAREDLIBS_DISPLAY_NAME "Shared libraries")
set(CPACK_COMPONENT_STATICLIBS_DISPLAY_NAME "Static libraries")
set(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "C++ Headers")

set(CPACK_COMPONENT_SHAREDLIBS_DESCRIPTION
"Shared library for general use.")
set(CPACK_COMPONENT_STATICLIBS_DESCRIPTION
"Static library, good if you want to embed libftdi in your application.")
set(CPACK_COMPONENT_HEADERS_DESCRIPTION
"C/C++ header files.")

set(CPACK_COMPONENT_SHAREDLIBS_GROUP "Development")
set(CPACK_COMPONENT_STATICLIBS_GROUP "Development")
set(CPACK_COMPONENT_HEADERS_GROUP    "Development")

# Package information
set(CPACK_PACKAGE_VERSION              ${VERSION_STRING})
set(CPACK_PACKAGE_CONTACT              "Marek Vavrusa <marek@vavrusa.com>")
set(CPACK_PACKAGE_DESCRIPTION          "libftdi library.")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY  ${CPACK_PACKAGE_DESCRIPTION}
                                       )
# Package settings
if(${UNIX})
  set(CPACK_GENERATOR                    "DEB;RPM")
  set(CPACK_CMAKE_GENERATOR              "Unix Makefiles")
  set(CPACK_PACKAGE_NAME                 ${PROJECT_NAME})
  set(CPACK_PACKAGE_FILE_NAME            ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION})
endif(${UNIX})

if(${WIN32})
  set(CPACK_GENERATOR                    "NSIS")
  set(CPACK_CMAKE_GENERATOR              "MinGW Makefiles")
  set(CPACK_PACKAGE_NAME                 "${PROJECT_NAME}")
  set(CPACK_PACKAGE_VENDOR               "")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY    "libftdi")
  set(CPACK_PACKAGE_FILE_NAME            "${PROJECT_NAME}-${VERSION_STRING}-win32")
  set(CPACK_NSIS_DISPLAY_NAME            "libftdi")
  set(CPACK_NSIS_MODIFY_PATH             "ON")
endif(${WIN32})

set(CPACK_RESOURCE_FILE_LICENSE        ${CMAKE_SOURCE_DIR}/LICENSE)

set(CPACK_SOURCE_GENERATOR             TGZ)
set(CPACK_SOURCE_IGNORE_FILES          "\\\\.git")
set(CPACK_SOURCE_PACKAGE_FILE_NAME     ${CPACK_PACKAGE_FILE_NAME})

# Subdirectories
if(${UNIX})
  set(CPACK_SET_DESTDIR "ON")
endif(${UNIX})

add_subdirectory(src)
add_subdirectory(ftdipp)
add_subdirectory(bindings)
add_subdirectory(examples)
add_subdirectory(packages)



# Documentation
find_package(Doxygen)
if(DOXYGEN_FOUND)

   # Set variables
   set(PACKAGE libftdi)
   set(VERSION ${VERSION_STRING})
   set(top_srcdir ${CMAKE_SOURCE_DIR})

   # Find doxy config
   message(STATUS "Doxygen found.")
   set(DOXY_DIR "${CMAKE_SOURCE_DIR}/doc")
   set(DOXY_CONFIG "${DOXY_DIR}/Doxyfile.in")

   # Copy doxy.config.in
   configure_file("${DOXY_CONFIG}" "${CMAKE_BINARY_DIR}/doxy.config")

   # Create doc directory
   add_custom_command(
   OUTPUT ${CMAKE_BINARY_DIR}/doc
   COMMAND rm -rf ${CMAKE_BINARY_DIR}/doc
   COMMAND mkdir ${CMAKE_BINARY_DIR}/doc
   DEPENDS ftdi ftdipp
   )

   # Run doxygen
   add_custom_command(
   OUTPUT ${CMAKE_BINARY_DIR}/doc/html/index.html
   COMMAND ${DOXYGEN_EXECUTABLE} "${CMAKE_BINARY_DIR}/doxy.config"
   DEPENDS "${CMAKE_BINARY_DIR}/doxy.config" "${CMAKE_BINARY_DIR}/doc"
   WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/doc
   )

   add_custom_target(docs ALL DEPENDS ${CMAKE_BINARY_DIR}/doc/html/index.html)

endif(DOXYGEN_FOUND)

# PkgConfig
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})

if(${UNIX})
   set(libdir      ${CMAKE_INSTALL_PREFIX}/lib)
endif(${UNIX})
if(${WIN32})
   set(libdir      ${CMAKE_INSTALL_PREFIX}/bin)
endif(${WIN32})

configure_file(${CMAKE_SOURCE_DIR}/libftdi.pc.in ${CMAKE_BINARY_DIR}/libftdi.pc @ONLY)
configure_file(${CMAKE_SOURCE_DIR}/libftdipp.pc.in ${CMAKE_BINARY_DIR}/libftdipp.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/libftdi.pc ${CMAKE_BINARY_DIR}/libftdipp.pc
        DESTINATION lib/pkgconfig)

if(${UNIX})
    configure_file(${CMAKE_SOURCE_DIR}/libftdi-config.in ${CMAKE_BINARY_DIR}/libftdi-config @ONLY)
    install(PROGRAMS ${CMAKE_BINARY_DIR}/libftdi-config DESTINATION bin)
endif(${UNIX})

include(CPack)

=== examples/CMakeLists.txt ===
# Includes
include( ${CMAKE_CURRENT_SOURCE_DIR}
         ${CMAKE_CURRENT_BINARY_DIR}
         )

# Source includes
include_directories(${CMAKE_SOURCE_DIR}/src)

# Targets
add_executable(simple simple.c)
add_executable(bitbang bitbang.c)
add_executable(bitbang2 bitbang2.c)
add_executable(bitbang_cbus bitbang_cbus.c)
add_executable(bitbang_ft2232 bitbang_ft2232.c)
add_executable(find_all find_all.c)

# Linkage
target_link_libraries(simple ftdi)
target_link_libraries(bitbang ftdi)
target_link_libraries(bitbang2 ftdi)
target_link_libraries(bitbang_cbus ftdi)
target_link_libraries(bitbang_ft2232 ftdi)
target_link_libraries(find_all ftdi)

# libftdi++ examples
if(FTDI_BUILD_CPP)
   message(STATUS "Building libftdi++ examples.")
   include_directories(${CMAKE_SOURCE_DIR}/ftdipp)

   # Targest
   add_executable(find_all_pp find_all_pp.cpp)

   # Linkage
   target_link_libraries(find_all_pp ftdipp)
endif()

=== ftdipp/CMakeLists.txt ===
# Check
set(FTDI_BUILD_CPP False PARENT_SCOPE)

# Includes
include_directories( ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}/../src
                     )

# Targets
set(cpp_sources   ftdi.cpp)
set(cpp_headers   ftdi.hpp)

# Find Boost
find_package(Boost)
if(Boost_FOUND)
set(FTDI_BUILD_CPP True PARENT_SCOPE)
message(STATUS "Building libftdi++")

# Targets
add_library(ftdipp SHARED ${cpp_sources})

math(EXPR VERSION_FIXUP "${MAJOR_VERSION} + 1")    # Compatiblity with previous releases
set_target_properties(ftdipp PROPERTIES VERSION ${VERSION_FIXUP}.${MINOR_VERSION}.0 SOVERSION 1)

# Static library
add_library(ftdipp-static STATIC ${cpp_sources})
set_target_properties(ftdipp-static PROPERTIES OUTPUT_NAME "ftdipp")

# Prevent clobbering each other during the build
set_target_properties(ftdipp PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(ftdipp-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

# Dependencies
target_link_libraries(ftdipp ftdi ${LIBUSB_LIBRARIES} ${BOOST_LIBRARIES})

# Install
if(${UNIX})

   install( TARGETS ftdipp
            LIBRARY DESTINATION lib
            COMPONENT sharedlibs
            )

   install( TARGETS ftdipp-static
            ARCHIVE DESTINATION lib
            COMPONENT staticlibs
            )

   install( FILES ${cpp_headers}
            DESTINATION include/${PROJECT_NAME}
            COMPONENT headers
            )

endif(${UNIX})

if(${WIN32})

   install( TARGETS ftdipp
            DESTINATION bin
            COMPONENT sharedlibs
            )

   install( TARGETS ftdipp-static
            DESTINATION bin
            COMPONENT staticlibs
            )

   install( FILES ${cpp_headers}
            DESTINATION include/${PROJECT_NAME}
            COMPONENT headers
            )

endif(${WIN32})

else(Boost_FOUND)
   message(STATUS "Boost not found, won't build libftdi++")
endif(Boost_FOUND)

=== src/CMakeLists.txt ===
# Includes
include_directories( ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     )

# Targets
set(c_sources     ftdi.c)
set(c_headers     ftdi.h)

add_library(ftdi SHARED ${c_sources})

math(EXPR VERSION_FIXUP "${MAJOR_VERSION} + 1")    # Compatiblity with previous releases
set_target_properties(ftdi PROPERTIES VERSION ${VERSION_FIXUP}.${MINOR_VERSION}.0 SOVERSION 1)

# Static library
add_library(ftdi-static STATIC ${c_sources})
set_target_properties(ftdi-static PROPERTIES OUTPUT_NAME "ftdi")

# Prevent clobbering each other during the build
set_target_properties(ftdi PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(ftdi-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

# Dependencies
target_link_libraries(ftdi ${LIBUSB_LIBRARIES})

# Install
if(${UNIX})

   install( TARGETS ftdi
            LIBRARY DESTINATION lib
            COMPONENT sharedlibs
            )

   install( TARGETS ftdi-static
            ARCHIVE DESTINATION lib
            COMPONENT staticlibs
            )

   install( FILES ${c_headers}
            DESTINATION include/${PROJECT_NAME}
            COMPONENT headers
            )

endif(${UNIX})

if(${WIN32})

   install( TARGETS ftdi
            DESTINATION bin
            COMPONENT sharedlibs
            )

   install( TARGETS ftdi-static
            DESTINATION bin
            COMPONENT staticlibs
            )

   install( FILES ${c_headers}
            DESTINATION include/${PROJECT_NAME}
            COMPONENT headers
            )

endif(${WIN32})

## libftdi 0.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Project
 project(libftdi)
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 16)
+set(MINOR_VERSION 17)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
@@ -38,6 +38,15 @@
 set(CPACK_COMPONENT_STATICLIBS_GROUP "Development")
 set(CPACK_COMPONENT_HEADERS_GROUP    "Development")
 
+# Create suffix to eventually install in lib64
+IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
+    SET(LIB_SUFFIX "")
+    SET(PACK_ARCH "")
+  ELSE(CMAKE_SIZEOF_VOID_P EQUAL 4)
+    SET(LIB_SUFFIX 64)
+    SET(PACK_ARCH .x86_64)
+endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
+
 # Package information
 set(CPACK_PACKAGE_VERSION              ${VERSION_STRING})
 set(CPACK_PACKAGE_CONTACT              "Marek Vavrusa <marek@vavrusa.com>")
@@ -49,7 +58,7 @@
   set(CPACK_GENERATOR                    "DEB;RPM")
   set(CPACK_CMAKE_GENERATOR              "Unix Makefiles")
   set(CPACK_PACKAGE_NAME                 ${PROJECT_NAME})
-  set(CPACK_PACKAGE_FILE_NAME            ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION})
+  set(CPACK_PACKAGE_FILE_NAME            ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}${PACK_ARCH})
 endif(${UNIX})
 
 if(${WIN32})
@@ -125,7 +134,7 @@
 set(includedir  ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})
 
 if(${UNIX})
-   set(libdir      ${CMAKE_INSTALL_PREFIX}/lib)
+   set(libdir      ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
 endif(${UNIX})
 if(${WIN32})
    set(libdir      ${CMAKE_INSTALL_PREFIX}/bin)
@@ -134,7 +143,7 @@
 configure_file(${CMAKE_SOURCE_DIR}/libftdi.pc.in ${CMAKE_BINARY_DIR}/libftdi.pc @ONLY)
 configure_file(${CMAKE_SOURCE_DIR}/libftdipp.pc.in ${CMAKE_BINARY_DIR}/libftdipp.pc @ONLY)
 install(FILES ${CMAKE_BINARY_DIR}/libftdi.pc ${CMAKE_BINARY_DIR}/libftdipp.pc
-        DESTINATION lib/pkgconfig)
+        DESTINATION lib${LIB_SUFFIX}/pkgconfig)
 
 if(${UNIX})
     configure_file(${CMAKE_SOURCE_DIR}/libftdi-config.in ${CMAKE_BINARY_DIR}/libftdi-config @ONLY)

=== bindings/CMakeLists.txt ===
include(FindSWIG)
include(FindPythonLibs)
include(UseSWIG)

if(SWIG_FOUND)
if(PYTHONLIBS_FOUND)
    INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../src)
    INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})

    SWIG_ADD_MODULE(ftdi python ftdi.i)
    SWIG_LINK_LIBRARIES(ftdi ${PYTHON_LIBRARIES})

    GET_FILENAME_COMPONENT(PYTHON_LIB_INSTALL ${PYTHON_LIBRARY} PATH)
    GET_FILENAME_COMPONENT(SITEPACKAGE ${PYTHON_LIB_INSTALL}/../site-packages ABSOLUTE)

    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_ftdi.so DESTINATION ${SITEPACKAGE})
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/ftdi.py DESTINATION ${SITEPACKAGE})

    message(STATUS "Building python bindings via swig. Will be installed under ${SITEPACKAGE}")
endif(PYTHONLIBS_FOUND)
endif(SWIG_FOUND)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
 add_executable(bitbang_cbus bitbang_cbus.c)
 add_executable(bitbang_ft2232 bitbang_ft2232.c)
 add_executable(find_all find_all.c)
+add_executable(serial_read serial_read.c)
+add_executable(baud_test baud_test.c)
 
 # Linkage
 target_link_libraries(simple ftdi)
@@ -21,6 +23,8 @@
 target_link_libraries(bitbang_cbus ftdi)
 target_link_libraries(bitbang_ft2232 ftdi)
 target_link_libraries(find_all ftdi)
+target_link_libraries(serial_read ftdi)
+target_link_libraries(baud_test ftdi)
 
 # libftdi++ examples
 if(FTDI_BUILD_CPP)

=== ftdipp/CMakeLists.txt ===
--- 
+++ 
@@ -38,12 +38,12 @@
 if(${UNIX})
 
    install( TARGETS ftdipp
-            LIBRARY DESTINATION lib
+            LIBRARY DESTINATION lib${LIB_SUFFIX}
             COMPONENT sharedlibs
             )
 
    install( TARGETS ftdipp-static
-            ARCHIVE DESTINATION lib
+            ARCHIVE DESTINATION lib${LIB_SUFFIX}
             COMPONENT staticlibs
             )

## libftdi 0.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Project
 project(libftdi)
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 17)
+set(MINOR_VERSION 18)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
@@ -42,7 +42,7 @@
 IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
     SET(LIB_SUFFIX "")
     SET(PACK_ARCH "")
-  ELSE(CMAKE_SIZEOF_VOID_P EQUAL 4)
+  ELSE(CMAKE_SIZEOF_VOID_P EQUAL 8)
     SET(LIB_SUFFIX 64)
     SET(PACK_ARCH .x86_64)
 endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
@@ -92,8 +92,11 @@
 
 
 # Documentation
+
+option(DOCUMENTATION "Generate API documentation with Doxygen" ON)
+
 find_package(Doxygen)
-if(DOXYGEN_FOUND)
+if(DOCUMENTATION AND DOXYGEN_FOUND)
 
    # Set variables
    set(PACKAGE libftdi)
@@ -126,7 +129,10 @@
 
    add_custom_target(docs ALL DEPENDS ${CMAKE_BINARY_DIR}/doc/html/index.html)
 
-endif(DOXYGEN_FOUND)
+   message(STATUS "Generating API documentation with Doxygen")
+else(DOCUMENTATION AND DOXYGEN_FOUND)
+   message(STATUS "Not generating API documentation")
+endif(DOCUMENTATION AND DOXYGEN_FOUND)
 
 # PkgConfig
 set(prefix      ${CMAKE_INSTALL_PREFIX})

=== bindings/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,9 @@
 include(FindPythonLibs)
 include(UseSWIG)
 
-if(SWIG_FOUND)
-if(PYTHONLIBS_FOUND)
+option(PYTHON_BINDINGS "Build python bindings via swig" ON)
+
+if(PYTHON_BINDINGS AND SWIG_FOUND AND PYTHONLIBS_FOUND)
     INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../src)
     INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
 
@@ -17,5 +18,6 @@
     INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/ftdi.py DESTINATION ${SITEPACKAGE})
 
     message(STATUS "Building python bindings via swig. Will be installed under ${SITEPACKAGE}")
-endif(PYTHONLIBS_FOUND)
-endif(SWIG_FOUND)
+else(PYTHON_BINDINGS AND SWIG_FOUND AND PYTHONLIBS_FOUND)
+    message(STATUS "Not building python bindings")
+endif(PYTHON_BINDINGS AND SWIG_FOUND AND PYTHONLIBS_FOUND)

=== ftdipp/CMakeLists.txt ===
# Check
set(FTDI_BUILD_CPP False PARENT_SCOPE)

option(FTDIPP "Build C++ binding library libftdi++" ON)

if (FTDIPP)

    # Includes
    include_directories( ${CMAKE_CURRENT_BINARY_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/../src
                        )

    # Targets
    set(cpp_sources   ftdi.cpp)
    set(cpp_headers   ftdi.hpp)

    # Find Boost
    find_package(Boost)
    if(Boost_FOUND)
    set(FTDI_BUILD_CPP True PARENT_SCOPE)
    message(STATUS "Building libftdi++")

    # Targets
    add_library(ftdipp SHARED ${cpp_sources})

    math(EXPR VERSION_FIXUP "${MAJOR_VERSION} + 1")    # Compatiblity with previous releases
    set_target_properties(ftdipp PROPERTIES VERSION ${VERSION_FIXUP}.${MINOR_VERSION}.0 SOVERSION 1)

    # Static library
    add_library(ftdipp-static STATIC ${cpp_sources})
    set_target_properties(ftdipp-static PROPERTIES OUTPUT_NAME "ftdipp")

    # Prevent clobbering each other during the build
    set_target_properties(ftdipp PROPERTIES CLEAN_DIRECT_OUTPUT 1)
    set_target_properties(ftdipp-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

    # Dependencies
    target_link_libraries(ftdipp ftdi ${LIBUSB_LIBRARIES} ${BOOST_LIBRARIES})

    # Install
    if(${UNIX})

    install( TARGETS ftdipp
                LIBRARY DESTINATION lib${LIB_SUFFIX}
                COMPONENT sharedlibs
                )

    install( TARGETS ftdipp-static
                ARCHIVE DESTINATION lib${LIB_SUFFIX}
                COMPONENT staticlibs
                )

    install( FILES ${cpp_headers}
                DESTINATION include/${PROJECT_NAME}
                COMPONENT headers
                )

    endif(${UNIX})

    if(${WIN32})

    install( TARGETS ftdipp
                DESTINATION bin
                COMPONENT sharedlibs
                )

    install( TARGETS ftdipp-static
                DESTINATION bin
                COMPONENT staticlibs
                )

    install( FILES ${cpp_headers}
                DESTINATION include/${PROJECT_NAME}
                COMPONENT headers
                )

    endif(${WIN32})

    else(Boost_FOUND)
    message(STATUS "Boost not found, won't build libftdi++")
    endif(Boost_FOUND)

else(FTDIPP)

    message(STATUS "Not building libftdi++")

endif(FTDIPP)

## libftdi 0.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Project
 project(libftdi)
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 18)
+set(MINOR_VERSION 19)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
@@ -114,8 +114,8 @@
    # Create doc directory
    add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/doc
-   COMMAND rm -rf ${CMAKE_BINARY_DIR}/doc
-   COMMAND mkdir ${CMAKE_BINARY_DIR}/doc
+   COMMAND rm -rf ${CMAKE_BINARY_DIR}/doc/{html,man}
+   COMMAND mkdir -p ${CMAKE_BINARY_DIR}/doc
    DEPENDS ftdi ftdipp
    )

=== bindings/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
     INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
 
     SWIG_ADD_MODULE(ftdi python ftdi.i)
-    SWIG_LINK_LIBRARIES(ftdi ${PYTHON_LIBRARIES})
+    SWIG_LINK_LIBRARIES(ftdi ${PYTHON_LIBRARIES} ftdi)
 
     GET_FILENAME_COMPONENT(PYTHON_LIB_INSTALL ${PYTHON_LIBRARY} PATH)
     GET_FILENAME_COMPONENT(SITEPACKAGE ${PYTHON_LIB_INSTALL}/../site-packages ABSOLUTE)

=== debian/changelog ===
libftdi (0.19-3) unstable; urgency=medium

  * Install ftdi.py (closes: #631958). 
  * Switch to dh_python2:
    - Build-depends on python-all-dev (>= 2.6.6-3~).
    - Drop build-depends on python-support.
    - Call dh_python2 instead of dh_pysupport.
    - Replace debian/pyversion by X-Python-Version.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Jun 2011 19:50:49 +0200

libftdi (0.19-2) unstable; urgency=low

  * Drop .la files from libftdipp-dev. 
  * Add build-indep and build-arch targets to make lintian happy. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Jun 2011 00:25:52 +0200

libftdi (0.19-1) unstable; urgency=low

  * New upstream version.
    - Add support for writing FT232R eeproms.
  * Bumped Standards-Version to 3.9.2 (no changes).
  * Switched to 3.0 (quilt) format.
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libftdi1 and libftdipp1
    and set them Multi-Arch: same.
    - Install the libraries in the multiarch path.
  * Dropped .la files from -dev packages are they are not used by any
    depending package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jun 2011 18:12:48 +0200

libftdi (0.18-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.9.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Jul 2010 13:11:12 +0200

libftdi (0.17-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jan 2010 15:56:24 +0100

libftdi (0.16-2) unstable; urgency=low

  * Add a python-ftdi package.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 May 2009 10:36:17 +0200

libftdi (0.16-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 11 May 2009 12:27:55 +0200

libftdi (0.15-2) unstable; urgency=low

  * Upload to unstable. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 21 Feb 2009 10:48:55 +0100

libftdi (0.15-1) experimental; urgency=low

  * New upstream version.
  * Add libftdipp1 and libftdipp-dev packages (C++ version of the library).
  * Update the project homepage.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Feb 2009 17:24:27 +0100

libftdi (0.14-1) experimental; urgency=low

  * New upstream version (closes: bug#504843).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Nov 2008 14:23:53 +0100

libftdi (0.13-2) unstable; urgency=low

  * Only enable --with-async-mode on GNU/Linux systems. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 20:12:43 +0200

libftdi (0.13-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 16:25:19 +0200

libftdi (0.12-1) unstable; urgency=low

  * New upstream version (closes: bug#480446).
  * Manage patches with quilt.
  * Enable async mode on linux (closes: bug#480448).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 May 2008 14:47:56 +0200

libftdi (0.11-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-Version to 3.7.3 (no changes).
  * Update link to LGPL text in debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2008 18:39:55 +0100

libftdi (0.10-2) unstable; urgency=low

  * Build doxygen documentation (closes: bug#444077). 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Dec 2007 15:35:47 +0100

libftdi (0.10-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 May 2007 13:15:46 +0200

libftdi (0.9-2) unstable; urgency=low

  * Make the package binNMU safe. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 21:38:00 +0100

libftdi (0.9-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  2 Mar 2007 20:29:05 +0100

libftdi (0.7-3) unstable; urgency=low

  * libusb has an epoch number, so build-depends on libusb-dev (>= 2:0.1.11)
    instead of libusb-dev (>= 0.1.11).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Jan 2006 22:40:23 +0100

libftdi (0.7-2) unstable; urgency=low

  * Fixed upstream URL (closes: bug#341098).
  * Build-depends on libusb-dev (>= 0.1.11) and use pkgconfig instead of
    libusb-config.
  * libftdi.pc: moved libusb from Requires: to Requires.private:

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Nov 2005 21:42:53 +0100

libftdi (0.7-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Oct 2005 11:47:11 +0200

libftdi (0.6-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  2 May 2005 08:22:27 +0200

libftdi (0.5-2) unstable; urgency=low

  * Run libtoolize, aclocal, autoheader, automake and autoconf before 
    configure so that libraries would be correctly detected as pass_all 
    on GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Mar 2005 01:13:29 +0100

libftdi (0.5-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Sep 2004 21:47:40 +0200

libftdi (0.4-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Jun 2004 16:26:04 +0200

libftdi (0.3-1) unstable; urgency=low

  * Initial Release (closes: bug#241022).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Mar 2004 13:45:36 +0200

=== debian/control ===
Source: libftdi
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 8.1.3), libusb-dev (>= 2:0.1.11), pkg-config (>= 0.18), doxygen, libboost-dev, swig, python-all-dev (>= 2.2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://www.intra2net.com/en/developer/libftdi/
X-Python-Version: >= 2.4

Package: libftdi1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to control and program the FTDI USB controller
 This library could talk to FTDI's FT232 and FT245 type USB chips from 
 userspace. It uses libusb to communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C version of the library.

Package: libftdi-dev
Section: libdevel
Architecture: any
Depends: libftdi1 (= ${binary:Version}), libusb-dev (>= 0.1.11), ${misc:Depends}
Description: Development files for libftdi
 This package contains the header files and static library needed to
 compile applications that use libftdi.

Package: libftdi1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libftdi1 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for libftdi1
 This package contains unstripped shared libraries. it is provided
 primarily to provide a backtrace with names in a debugger, this makes
 it somewhat easier to interpret core dumps. The libraries are installed
 in /usr/lib/debug and can be used by placing that directory in
 LD_LIBRARY_PATH.

Package: libftdipp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to control and program the FTDI USB controller
 This library could talk to FTDI's FT232 and FT245 type USB chips from 
 userspace. It uses libusb to communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.
 .
 This is the C++ version of the library.

Package: libftdipp-dev
Section: libdevel
Architecture: any
Depends: libftdi-dev (= ${binary:Version}), libboost-dev (>= 1.33), ${misc:Depends}
Description: Development files for libftdipp
 This package contains the header files and static library needed to
 compile applications that use libftdipp.

Package: libftdipp1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libftdipp1 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for libftdipp1
 This package contains unstripped shared libraries. it is provided
 primarily to provide a backtrace with names in a debugger, this makes
 it somewhat easier to interpret core dumps. The libraries are installed
 in /usr/lib/debug and can be used by placing that directory in
 LD_LIBRARY_PATH.

Package: python-ftdi
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python module to control and program the FTDI USB controller
 This Python module could talk to FTDI's FT232 and FT245 type USB chips from 
 userspace. It uses libusb to communicate with the chips.
 .
 Functionalities include the possibility to use the chips in standard
 mode, in bitbang mode, and to read or write the serial EEPROM.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall
CFLAGS += $(shell dpkg-buildflags --get CFLAGS)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Only enable async mode on Linux targets
ifeq ($(DEB_BUILD_ARCH_OS),linux)
  confflags = --with-async-mode
else
  confflags =
endif

# Available python versions
PYVERS = $(shell pyversions -v -r debian/control)

build: build-arch build-indep

build-arch: build-arch-stamp-main $(PYVERS:%=build-arch-stamp-python-%)

build-arch-stamp-main:
	dh_testdir
	mkdir $(CURDIR)/build-main
	cd $(CURDIR)/build-main && \
		CFLAGS="$(CFLAGS)" ../configure $(confflags) \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--enable-libftdipp \
			--disable-python-binding
	cd $(CURDIR)/build-main && \
		$(MAKE)
	touch $@

build-arch-stamp-python-%:
	dh_testdir
	mkdir $(CURDIR)/build-python$*
	cd $(CURDIR)/build-python$* && \
		CFLAGS="$(CFLAGS)" PYTHON="python$*" ../configure $(confflags) \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--disable-libftdipp \
			--without-docs \
			--enable-python-binding
	cd $(CURDIR)/build-python$* && \
		$(MAKE)
	touch $@

build-indep: build-indep-stamp

build-indep-stamp:
	dh_testdir 
	touch $@

install-stamp-common:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	touch $@

install: install-stamp-main $(PYVERS:%=install-stamp-python-%)
	dh_install --sourcedir=debian/tmp
	touch $@
	
install-stamp-main: build-arch-stamp-main install-stamp-common
	cd build-main && \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

install-stamp-python-%: build-arch-stamp-python-% install-stamp-common
	cd build-python$* && \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build-main build-python*
	rm -f *-stamp*
	dh_clean 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip -plibftdi1 --dbg-package=libftdi1-dbg
	dh_strip -plibftdipp1 --dbg-package=libftdipp1-dbg
	dh_strip --remaining-packages
	dh_compress
	dh_fixperms
	dh_python2
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## libftdi 0.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Project
 project(libftdi)
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 19)
+set(MINOR_VERSION 20)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 
@@ -12,6 +12,7 @@
 set(CMAKE_COLOR_MAKEFILE ON)
 cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
 
+add_definitions(-Wall)
 # Debug build
 message("-- Build type: ${CMAKE_BUILD_TYPE}")
 if(${CMAKE_BUILD_TYPE} STREQUAL Debug)

=== examples/CMakeLists.txt ===
option(EXAMPLES "Build example programs" ON)

if (EXAMPLES)
    # Includes
    include( ${CMAKE_CURRENT_SOURCE_DIR}
            ${CMAKE_CURRENT_BINARY_DIR}
            )

    message(STATUS "Building example programs.")

    # Source includes
    include_directories(BEFORE ${CMAKE_SOURCE_DIR}/src)

    # Targets
    add_executable(simple simple.c)
    add_executable(bitbang bitbang.c)
    add_executable(bitbang2 bitbang2.c)
    add_executable(bitbang_cbus bitbang_cbus.c)
    add_executable(bitbang_ft2232 bitbang_ft2232.c)
    add_executable(find_all find_all.c)
    add_executable(serial_test serial_test.c)
    add_executable(baud_test baud_test.c)

    # Linkage
    target_link_libraries(simple ftdi)
    target_link_libraries(bitbang ftdi)
    target_link_libraries(bitbang2 ftdi)
    target_link_libraries(bitbang_cbus ftdi)
    target_link_libraries(bitbang_ft2232 ftdi)
    target_link_libraries(find_all ftdi)
    target_link_libraries(serial_test ftdi)
    target_link_libraries(baud_test ftdi)

    # libftdi++ examples
    if(FTDI_BUILD_CPP)
        message(STATUS "Building libftdi++ examples.")
        include_directories(${CMAKE_SOURCE_DIR}/ftdipp)

        # Targest
        add_executable(find_all_pp find_all_pp.cpp)

        # Linkage
        target_link_libraries(find_all_pp ftdipp)
    endif(FTDI_BUILD_CPP)
else(EXAMPLES)
    message(STATUS "Not building example programs.")
endif(EXAMPLES)

=== ftdipp/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 if (FTDIPP)
 
     # Includes
-    include_directories( ${CMAKE_CURRENT_BINARY_DIR}
+    include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}
                         ${CMAKE_CURRENT_SOURCE_DIR}
-                        ${CMAKE_CURRENT_SOURCE_DIR}/../src
+                        ${CMAKE_SOURCE_DIR}/src
                         )
 
     # Targets
@@ -52,7 +52,7 @@
                 )
 
     install( FILES ${cpp_headers}
-                DESTINATION include/${PROJECT_NAME}
+                DESTINATION include
                 COMPONENT headers
                 )
 
@@ -71,7 +71,7 @@
                 )
 
     install( FILES ${cpp_headers}
-                DESTINATION include/${PROJECT_NAME}
+                DESTINATION include
                 COMPONENT headers
                 )

=== packages/CMakeLists.txt ===
# Debian
if("${PACKAGE}" STREQUAL "Debian")

   # Settings
   set(REVISION                           0)
   set(CPACK_GENERATOR                    "DEB" PARENT_SCOPE)
   set(CPACK_PACKAGE_VERSION              ${CPACK_PACKAGE_VERSION}-${REVISION} PARENT_SCOPE)

   # Dependencies
   set(CPACK_DEBIAN_PACKAGE_DEPENDS       "libusb-0.1-4" PARENT_SCOPE)
   set(DEBIAN_PACKAGE_BUILDS_DEPENDS      "cmake, libusb-dev" PARENT_SCOPE)

   # Bundles
   message("-- Installing udev rules to /etc/udev/rules.d")
   install(FILES 99-libftdi.rules
           DESTINATION /etc/udev/rules.d)

endif("${PACKAGE}" STREQUAL "Debian")

# General RPM rules
set(CPACK_RPM_PACKAGE_DEPENDS       "libusb" PARENT_SCOPE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Includes
-include_directories( ${CMAKE_CURRENT_BINARY_DIR}
+include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}
                      ${CMAKE_CURRENT_SOURCE_DIR}
                      )
 
@@ -27,17 +27,17 @@
 if(${UNIX})
 
    install( TARGETS ftdi
-            LIBRARY DESTINATION lib
+            LIBRARY DESTINATION lib${LIB_SUFFIX}
             COMPONENT sharedlibs
             )
 
    install( TARGETS ftdi-static
-            ARCHIVE DESTINATION lib
+            ARCHIVE DESTINATION lib${LIB_SUFFIX}
             COMPONENT staticlibs
             )
 
    install( FILES ${c_headers}
-            DESTINATION include/${PROJECT_NAME}
+            DESTINATION include
             COMPONENT headers
             )
 
@@ -56,7 +56,7 @@
             )
 
    install( FILES ${c_headers}
-            DESTINATION include/${PROJECT_NAME}
+            DESTINATION include
             COMPONENT headers
             )

=== debian/changelog ===
libftdi (0.20-3ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - retain Conflicts/Replaces against previous package names for ABI
      transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 14:24:34 -0700

libftdi (0.20-3) unstable; urgency=medium

  * Rename libftdipp1 into libftdipp1v5 for the GCC 5 ABI transition.
  * Build-depends on g++ (>= 4:5.2) and boost (>= 1.58).
  * Force C++ standard to c++11 to prepare for the GCC 6 transition.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Aug 2015 22:03:11 +0200

libftdi (0.20-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 05:38:38 +0000

libftdi (0.20-2build2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 20:25:13 +0000

libftdi (0.20-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 18:39:42 +0000

libftdi (0.20-2) unstable; urgency=medium

  * Use dh-autoreconf (closes: #748765). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Aug 2014 22:30:02 +0200

libftdi (0.20-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 22:46:49 +0200

libftdi (0.19-4) unstable; urgency=low

  * Add a dependency from libftdipp-dev to libftdipp1. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Dec 2011 17:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libftdi
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libusb-dev (>= 2:0.1.11), pkg-config (>= 0.18), doxygen, libboost-dev, swig, python-all-dev (>= 2.2.6.6-3~)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper (>= 8.1.3), libusb-dev (>= 2:0.1.11), pkg-config (>= 0.18), doxygen, libboost-dev (>= 1.58), swig, python-all-dev (>= 2.2.6.6-3~), dh-autoreconf, g++ (>= 4:5.2)
+Standards-Version: 3.9.6
 Homepage: http://www.intra2net.com/en/developer/libftdi/
 X-Python-Version: >= 2.4
 
@@ -43,12 +44,14 @@
  in /usr/lib/debug and can be used by placing that directory in
  LD_LIBRARY_PATH.
 
-Package: libftdipp1
+Package: libftdipp1v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libftdipp1
+Replaces: libftdipp1
 Description: Library to control and program the FTDI USB controller
  This library could talk to FTDI's FT232 and FT245 type USB chips from 
  userspace. It uses libusb to communicate with the chips.
@@ -61,18 +64,20 @@
 Package: libftdipp-dev
 Section: libdevel
 Architecture: any
-Depends: libftdi-dev (= ${binary:Version}), libboost-dev (>= 1.33), ${misc:Depends}
+Depends: libftdipp1v5 (= ${binary:Version}), libftdi-dev (= ${binary:Version}), libboost-dev (>= 1.58), ${misc:Depends}
 Description: Development files for libftdipp
  This package contains the header files and static library needed to
  compile applications that use libftdipp.
 
-Package: libftdipp1-dbg
+Package: libftdipp1v5-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libftdipp1 (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for libftdipp1
+Depends: libftdipp1v5 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libftdipp1-dbg
+Replaces: libftdipp1-dbg
+Description: Debugging symbols for libftdipp1v5
  This package contains unstripped shared libraries. it is provided
  primarily to provide a backtrace with names in a debugger, this makes
  it somewhat easier to interpret core dumps. The libraries are installed

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 
 CFLAGS = -Wall
 CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS = -Wall -std=c++11
+CXXFLAGS += $(shell dpkg-buildflags --get CFXLAGS)
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
@@ -36,9 +38,10 @@
 
 build-arch-stamp-main:
 	dh_testdir
+	dh_autoreconf
 	mkdir $(CURDIR)/build-main
 	cd $(CURDIR)/build-main && \
-		CFLAGS="$(CFLAGS)" ../configure $(confflags) \
+		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags) \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--prefix=/usr \
@@ -55,7 +58,7 @@
 	dh_testdir
 	mkdir $(CURDIR)/build-python$*
 	cd $(CURDIR)/build-python$* && \
-		CFLAGS="$(CFLAGS)" PYTHON="python$*" ../configure $(confflags) \
+		CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" PYTHON="python$*" ../configure $(confflags) \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--prefix=/usr \
@@ -99,6 +102,7 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
 	rm -rf build-main build-python*
 	rm -f *-stamp*
 	dh_clean 
@@ -117,7 +121,7 @@
 	dh_installman
 	dh_link
 	dh_strip -plibftdi1 --dbg-package=libftdi1-dbg
-	dh_strip -plibftdipp1 --dbg-package=libftdipp1-dbg
+	dh_strip -plibftdipp1v5 --dbg-package=libftdipp1v5-dbg
 	dh_strip --remaining-packages
 	dh_compress
 	dh_fixperms
